%define kmod_name		bnx2i
%define kmod_driver_version	2.7.0.3
%define kmod_rpm_release	1
%define kmod_git_hash		380b4cdac75e451a08b4868013e1e281958c17a2
%define kmod_kernel_version	2.6.18-274.7.1.el5
%define kmod_suffix		rhel5u7


%{!?dist: %define dist .el5_5}

Source0:	%{kmod_name}-%{kmod_driver_version}.tar.bz2			
Source1:	kmodtool			
Source2:	find-requires.ksyms			
Source3:	symbols.greylist			
Source4:	Module.symvers-i686			
Source5:	Module.symvers-PAE-i686			
Source6:	Module.symvers-x86_64			
Source7:	Module.symvers-xen-i686			
Source8:	Module.symvers-xen-x86_64			

%define kmodtool bash %{SOURCE1}
%define __find_requires %_sourcedir/find-requires.ksyms

%define kverrel %(%{kmodtool} verrel %kmod_kernel_version 2>/dev/null)

%ifarch i686 x86_64 ia64
%define xenvar xen
%endif

%ifarch i686
%define paevar PAE
%endif

%define upvar ""
%{!?kvariants: %define kvariants %{?upvar} %{?xenvar} %{?paevar}}

Name:           %{kmod_name}-kmod
Version:        %{kmod_driver_version}
Release:        %{kmod_rpm_release}%{?dist}
Summary:        %{kmod_name} kernel module
Group:          System Environment/Kernel
License:        GPL
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch:  i686 x86_64


%description
%{kmod_name} - driver update

# magic hidden here:
%{expand:%(%{kmodtool} rpmtemplate_kmp %{kmod_name} %{kmod_suffix} %{kverrel}  %{kvariants} 2>/dev/null)}

%prep
# to understand the magic better or to debug it, uncomment this:
#{kmodtool} rpmtemplate_kmp %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null
#sleep 5
%setup -q -c -T -a 0
for kvariant in %{kvariants} ; do
    cp -a %{kmod_name}-%{version} _kmod_build_$kvariant
    cp %{SOURCE4} _kmod_build_$kvariant
cp %{SOURCE5} _kmod_build_$kvariant
cp %{SOURCE6} _kmod_build_$kvariant
cp %{SOURCE7} _kmod_build_$kvariant
cp %{SOURCE8} _kmod_build_$kvariant
done


%build
echo  %{kverrel}
for kvariant in %{kvariants}
do
    ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
    pushd _kmod_build_$kvariant

    # update symvers file if existing
    symvers=Module.symvers${kvariant:+-$kvariant}-%{_target_cpu}
    if [ -e $symvers ]; then
        cp $symvers Module.symvers
    fi

    make -C "${ksrc}" modules M=$PWD
    popd
done

if [ -d firmware ]; then
	make -C firmware
fi

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{kmod_name}-%{kmod_suffix}
for kvariant in %{kvariants}
do
    ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
    pushd _kmod_build_$kvariant
    make -C "${ksrc}" modules_install M=$PWD
    popd
done

# create depmod configuration
mkdir -p ${RPM_BUILD_ROOT}/etc/depmod.d
cat<<EOF > ${RPM_BUILD_ROOT}/etc/depmod.d/%{kmod_name}-%{kmod_suffix}.conf
override %{kmod_name} * weak-updates/%{kmod_name}-%{kmod_suffix}
EOF

mkdir -p ${RPM_BUILD_ROOT}/lib/firmware

if [ -d firmware ]; then
	make -C firmware INSTALL_PATH=$RPM_BUILD_ROOT INSTALL_DIR=updates install
fi

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Nov 03 2011 Jiri Olsa <jolsa@redhat.com>  2.7.0.3 1
- bnx2i DUP module
